--Copyright 1986-2017 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2017.1_sdx (win64) Build 1915620 Thu Jun 22 17:54:58 MDT 2017
--Date        : Sun Oct  8 18:48:50 2017
--Host        : W8-64-02 running 64-bit major release  (build 9200)
--Command     : generate_target SK0803_zusys_SDSoC.bd
--Design      : SK0803_zusys_SDSoC
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity SK0803_zusys_SDSoC is
  port (
    ADC_SDATA : in STD_LOGIC;
    BASE_sc10_i : in STD_LOGIC;
    BASE_sc10_o : out STD_LOGIC;
    BASE_sc10_t : out STD_LOGIC;
    BASE_sc11 : out STD_LOGIC;
    BASE_sc12 : in STD_LOGIC;
    BASE_sc13 : in STD_LOGIC;
    BASE_sc14 : out STD_LOGIC;
    BASE_sc15 : out STD_LOGIC;
    BASE_sc5 : in STD_LOGIC;
    BASE_sc6 : out STD_LOGIC;
    BASE_sc7 : out STD_LOGIC;
    BCLK : in STD_LOGIC;
    DAC_SDATA : out STD_LOGIC;
    LED_HD : out STD_LOGIC_VECTOR ( 0 to 0 );
    LED_XMOD2 : out STD_LOGIC_VECTOR ( 0 to 0 );
    LRCLK : in STD_LOGIC
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of SK0803_zusys_SDSoC : entity is "SK0803_zusys_SDSoC,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=SK0803_zusys_SDSoC,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=12,numReposBlks=12,numNonXlnxBlks=2,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,synth_mode=OOC_per_IP}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of SK0803_zusys_SDSoC : entity is "SK0803_zusys_SDSoC.hwdef";
end SK0803_zusys_SDSoC;

architecture STRUCTURE of SK0803_zusys_SDSoC is
  component SK0803_zusys_SDSoC_SC0808BF_0_0 is
  port (
    PS_AUX_DI : out STD_LOGIC;
    PS_AUX_DO : in STD_LOGIC;
    PS_AUX_OE : in STD_LOGIC;
    PS_HPD : out STD_LOGIC;
    SC5 : in STD_LOGIC;
    SC6 : out STD_LOGIC;
    SC7 : out STD_LOGIC;
    SC10_I : in STD_LOGIC;
    SC10_O : out STD_LOGIC;
    SC10_T : out STD_LOGIC;
    SC11 : out STD_LOGIC;
    SC12 : in STD_LOGIC;
    SC13 : in STD_LOGIC;
    SC15 : out STD_LOGIC;
    SC14 : out STD_LOGIC;
    MASTER_RGPIO_O : out STD_LOGIC_VECTOR ( 31 downto 0 );
    SLAVE_RGPIO_O : out STD_LOGIC_VECTOR ( 31 downto 0 );
    MASTER_RGPIO_I : in STD_LOGIC_VECTOR ( 31 downto 0 );
    SLAVE_RGPIO_I : in STD_LOGIC_VECTOR ( 31 downto 0 );
    sys_clock : in STD_LOGIC;
    sys_resetn : in STD_LOGIC;
    MASTER_RGPIO_ACTIVE : out STD_LOGIC;
    SLAVE_RGPIO_ACTIVE : out STD_LOGIC
  );
  end component SK0803_zusys_SDSoC_SC0808BF_0_0;
  component SK0803_zusys_SDSoC_axis_live_audio_0_0 is
  port (
    axis_aclk : in STD_LOGIC;
    axis_aresetn : in STD_LOGIC;
    ref_clk_in : in STD_LOGIC;
    s_axis_tdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axis_tid : in STD_LOGIC;
    s_axis_tvalid : in STD_LOGIC;
    m_axis_tdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    m_axis_tid : out STD_LOGIC;
    m_axis_tready : in STD_LOGIC;
    m_axis_tvalid : out STD_LOGIC;
    BCLK : in STD_LOGIC;
    LRCLK : in STD_LOGIC;
    DAC_SDATA : out STD_LOGIC;
    ADC_SDATA : in STD_LOGIC;
    s_axis_tready : out STD_LOGIC
  );
  end component SK0803_zusys_SDSoC_axis_live_audio_0_0;
  component SK0803_zusys_SDSoC_clk_wiz_0_0 is
  port (
    reset : in STD_LOGIC;
    clk_in1 : in STD_LOGIC;
    clk_out1 : out STD_LOGIC;
    locked : out STD_LOGIC
  );
  end component SK0803_zusys_SDSoC_clk_wiz_0_0;
  component SK0803_zusys_SDSoC_proc_sys_reset_0_0 is
  port (
    slowest_sync_clk : in STD_LOGIC;
    ext_reset_in : in STD_LOGIC;
    aux_reset_in : in STD_LOGIC;
    mb_debug_sys_rst : in STD_LOGIC;
    dcm_locked : in STD_LOGIC;
    mb_reset : out STD_LOGIC;
    bus_struct_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component SK0803_zusys_SDSoC_proc_sys_reset_0_0;
  component SK0803_zusys_SDSoC_proc_sys_reset_1_0 is
  port (
    slowest_sync_clk : in STD_LOGIC;
    ext_reset_in : in STD_LOGIC;
    aux_reset_in : in STD_LOGIC;
    mb_debug_sys_rst : in STD_LOGIC;
    dcm_locked : in STD_LOGIC;
    mb_reset : out STD_LOGIC;
    bus_struct_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component SK0803_zusys_SDSoC_proc_sys_reset_1_0;
  component SK0803_zusys_SDSoC_proc_sys_reset_2_0 is
  port (
    slowest_sync_clk : in STD_LOGIC;
    ext_reset_in : in STD_LOGIC;
    aux_reset_in : in STD_LOGIC;
    mb_debug_sys_rst : in STD_LOGIC;
    dcm_locked : in STD_LOGIC;
    mb_reset : out STD_LOGIC;
    bus_struct_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component SK0803_zusys_SDSoC_proc_sys_reset_2_0;
  component SK0803_zusys_SDSoC_proc_sys_reset_3_0 is
  port (
    slowest_sync_clk : in STD_LOGIC;
    ext_reset_in : in STD_LOGIC;
    aux_reset_in : in STD_LOGIC;
    mb_debug_sys_rst : in STD_LOGIC;
    dcm_locked : in STD_LOGIC;
    mb_reset : out STD_LOGIC;
    bus_struct_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component SK0803_zusys_SDSoC_proc_sys_reset_3_0;
  component SK0803_zusys_SDSoC_vio_general_0 is
  port (
    clk : in STD_LOGIC;
    probe_out0 : out STD_LOGIC_VECTOR ( 0 to 0 );
    probe_out1 : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component SK0803_zusys_SDSoC_vio_general_0;
  component SK0803_zusys_SDSoC_vio_rgpio_0 is
  port (
    clk : in STD_LOGIC;
    probe_in0 : in STD_LOGIC_VECTOR ( 31 downto 0 );
    probe_in1 : in STD_LOGIC_VECTOR ( 31 downto 0 );
    probe_in2 : in STD_LOGIC_VECTOR ( 0 to 0 );
    probe_in3 : in STD_LOGIC_VECTOR ( 0 to 0 );
    probe_out0 : out STD_LOGIC_VECTOR ( 31 downto 0 );
    probe_out1 : out STD_LOGIC_VECTOR ( 31 downto 0 )
  );
  end component SK0803_zusys_SDSoC_vio_rgpio_0;
  component SK0803_zusys_SDSoC_xlconcat_0_0 is
  port (
    In0 : in STD_LOGIC_VECTOR ( 0 to 0 );
    dout : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component SK0803_zusys_SDSoC_xlconcat_0_0;
  component SK0803_zusys_SDSoC_xlconstant_0_0 is
  port (
    dout : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component SK0803_zusys_SDSoC_xlconstant_0_0;
  component SK0803_zusys_SDSoC_zynq_ultra_ps_e_0_0 is
  port (
    maxihpm0_lpd_aclk : in STD_LOGIC;
    maxigp2_awid : out STD_LOGIC_VECTOR ( 15 downto 0 );
    maxigp2_awaddr : out STD_LOGIC_VECTOR ( 39 downto 0 );
    maxigp2_awlen : out STD_LOGIC_VECTOR ( 7 downto 0 );
    maxigp2_awsize : out STD_LOGIC_VECTOR ( 2 downto 0 );
    maxigp2_awburst : out STD_LOGIC_VECTOR ( 1 downto 0 );
    maxigp2_awlock : out STD_LOGIC;
    maxigp2_awcache : out STD_LOGIC_VECTOR ( 3 downto 0 );
    maxigp2_awprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    maxigp2_awvalid : out STD_LOGIC;
    maxigp2_awuser : out STD_LOGIC_VECTOR ( 15 downto 0 );
    maxigp2_awready : in STD_LOGIC;
    maxigp2_wdata : out STD_LOGIC_VECTOR ( 127 downto 0 );
    maxigp2_wstrb : out STD_LOGIC_VECTOR ( 15 downto 0 );
    maxigp2_wlast : out STD_LOGIC;
    maxigp2_wvalid : out STD_LOGIC;
    maxigp2_wready : in STD_LOGIC;
    maxigp2_bid : in STD_LOGIC_VECTOR ( 15 downto 0 );
    maxigp2_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    maxigp2_bvalid : in STD_LOGIC;
    maxigp2_bready : out STD_LOGIC;
    maxigp2_arid : out STD_LOGIC_VECTOR ( 15 downto 0 );
    maxigp2_araddr : out STD_LOGIC_VECTOR ( 39 downto 0 );
    maxigp2_arlen : out STD_LOGIC_VECTOR ( 7 downto 0 );
    maxigp2_arsize : out STD_LOGIC_VECTOR ( 2 downto 0 );
    maxigp2_arburst : out STD_LOGIC_VECTOR ( 1 downto 0 );
    maxigp2_arlock : out STD_LOGIC;
    maxigp2_arcache : out STD_LOGIC_VECTOR ( 3 downto 0 );
    maxigp2_arprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    maxigp2_arvalid : out STD_LOGIC;
    maxigp2_aruser : out STD_LOGIC_VECTOR ( 15 downto 0 );
    maxigp2_arready : in STD_LOGIC;
    maxigp2_rid : in STD_LOGIC_VECTOR ( 15 downto 0 );
    maxigp2_rdata : in STD_LOGIC_VECTOR ( 127 downto 0 );
    maxigp2_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    maxigp2_rlast : in STD_LOGIC;
    maxigp2_rvalid : in STD_LOGIC;
    maxigp2_rready : out STD_LOGIC;
    maxigp2_awqos : out STD_LOGIC_VECTOR ( 3 downto 0 );
    maxigp2_arqos : out STD_LOGIC_VECTOR ( 3 downto 0 );
    dp_audio_ref_clk : out STD_LOGIC;
    dp_video_ref_clk : out STD_LOGIC;
    dp_s_axis_audio_tdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    dp_s_axis_audio_tid : in STD_LOGIC;
    dp_s_axis_audio_tvalid : in STD_LOGIC;
    dp_s_axis_audio_tready : out STD_LOGIC;
    dp_m_axis_mixed_audio_tdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    dp_m_axis_mixed_audio_tid : out STD_LOGIC;
    dp_m_axis_mixed_audio_tvalid : out STD_LOGIC;
    dp_m_axis_mixed_audio_tready : in STD_LOGIC;
    dp_s_axis_audio_clk : in STD_LOGIC;
    dp_live_video_in_vsync : in STD_LOGIC;
    dp_live_video_in_hsync : in STD_LOGIC;
    dp_live_video_in_de : in STD_LOGIC;
    dp_live_video_in_pixel1 : in STD_LOGIC_VECTOR ( 35 downto 0 );
    dp_video_in_clk : in STD_LOGIC;
    dp_video_out_hsync : out STD_LOGIC;
    dp_video_out_vsync : out STD_LOGIC;
    dp_video_out_pixel1 : out STD_LOGIC_VECTOR ( 35 downto 0 );
    dp_aux_data_in : in STD_LOGIC;
    dp_aux_data_out : out STD_LOGIC;
    dp_aux_data_oe_n : out STD_LOGIC;
    dp_live_gfx_alpha_in : in STD_LOGIC_VECTOR ( 7 downto 0 );
    dp_live_gfx_pixel1_in : in STD_LOGIC_VECTOR ( 35 downto 0 );
    dp_hot_plug_detect : in STD_LOGIC;
    dp_external_custom_event1 : in STD_LOGIC;
    dp_external_custom_event2 : in STD_LOGIC;
    dp_external_vsync_event : in STD_LOGIC;
    dp_live_video_de_out : out STD_LOGIC;
    pl_ps_irq0 : in STD_LOGIC_VECTOR ( 0 to 0 );
    pl_resetn0 : out STD_LOGIC;
    pl_clk0 : out STD_LOGIC;
    pl_clk1 : out STD_LOGIC;
    pl_clk2 : out STD_LOGIC;
    pl_clk3 : out STD_LOGIC
  );
  end component SK0803_zusys_SDSoC_zynq_ultra_ps_e_0_0;
  signal ADC_SDATA_1 : STD_LOGIC;
  signal BCLK_1 : STD_LOGIC;
  signal LRCLK_1 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC10_I : STD_LOGIC;
  signal SC0808BF_0_BASE_SC10_O : STD_LOGIC;
  signal SC0808BF_0_BASE_SC10_T : STD_LOGIC;
  signal SC0808BF_0_BASE_SC11 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC12 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC13 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC14 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC15 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC5 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC6 : STD_LOGIC;
  signal SC0808BF_0_BASE_SC7 : STD_LOGIC;
  signal SC0808BF_0_MASTER_RGPIO_ACTIVE : STD_LOGIC;
  signal SC0808BF_0_MASTER_RGPIO_I : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal SC0808BF_0_MASTER_RGPIO_O : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal SC0808BF_0_PS_AUX_DI : STD_LOGIC;
  signal SC0808BF_0_PS_HPD : STD_LOGIC;
  signal SC0808BF_0_SLAVE_RGPIO_ACTIVE : STD_LOGIC;
  signal SC0808BF_0_SLAVE_RGPIO_I : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal SC0808BF_0_SLAVE_RGPIO_O : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal axis_live_audio_0_DAC_SDATA : STD_LOGIC;
  signal axis_live_audio_0_m_axis_TDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal axis_live_audio_0_m_axis_TID : STD_LOGIC;
  signal axis_live_audio_0_m_axis_TREADY : STD_LOGIC;
  signal axis_live_audio_0_m_axis_TVALID : STD_LOGIC;
  signal clk_wiz_0_clk_out1 : STD_LOGIC;
  signal proc_sys_reset_0_peripheral_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal proc_sys_reset_1_bus_struct_reset : STD_LOGIC_VECTOR ( 0 to 0 );
  signal proc_sys_reset_1_peripheral_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal vio_LED_HD : STD_LOGIC_VECTOR ( 0 to 0 );
  signal vio_LED_XMOD2 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xlconcat_0_dout : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xlconstant_0_dout : STD_LOGIC_VECTOR ( 0 to 0 );
  signal zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TID : STD_LOGIC;
  signal zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TREADY : STD_LOGIC;
  signal zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TVALID : STD_LOGIC;
  signal zynq_ultra_ps_e_0_dp_audio_ref_clk : STD_LOGIC;
  signal zynq_ultra_ps_e_0_dp_aux_data_oe_n : STD_LOGIC;
  signal zynq_ultra_ps_e_0_dp_aux_data_out : STD_LOGIC;
  signal zynq_ultra_ps_e_0_pl_clk0 : STD_LOGIC;
  signal zynq_ultra_ps_e_0_pl_clk2 : STD_LOGIC;
  signal zynq_ultra_ps_e_0_pl_clk3 : STD_LOGIC;
  signal zynq_ultra_ps_e_0_pl_clk4 : STD_LOGIC;
  signal zynq_ultra_ps_e_0_pl_resetn0 : STD_LOGIC;
  signal NLW_clk_wiz_0_locked_UNCONNECTED : STD_LOGIC;
  signal NLW_proc_sys_reset_0_mb_reset_UNCONNECTED : STD_LOGIC;
  signal NLW_proc_sys_reset_0_bus_struct_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_0_interconnect_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_0_peripheral_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_1_mb_reset_UNCONNECTED : STD_LOGIC;
  signal NLW_proc_sys_reset_1_interconnect_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_1_peripheral_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_2_mb_reset_UNCONNECTED : STD_LOGIC;
  signal NLW_proc_sys_reset_2_bus_struct_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_2_interconnect_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_2_peripheral_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_2_peripheral_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_3_mb_reset_UNCONNECTED : STD_LOGIC;
  signal NLW_proc_sys_reset_3_bus_struct_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_3_interconnect_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_3_peripheral_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_3_peripheral_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_zynq_ultra_ps_e_0_dp_live_video_de_out_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_dp_video_out_hsync_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_dp_video_out_vsync_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_dp_video_ref_clk_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arlock_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awlock_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_bready_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_rready_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_wlast_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_maxigp2_wvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_dp_video_out_pixel1_UNCONNECTED : STD_LOGIC_VECTOR ( 35 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_araddr_UNCONNECTED : STD_LOGIC_VECTOR ( 39 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arburst_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arcache_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arid_UNCONNECTED : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arlen_UNCONNECTED : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arprot_UNCONNECTED : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arqos_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_arsize_UNCONNECTED : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_aruser_UNCONNECTED : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awaddr_UNCONNECTED : STD_LOGIC_VECTOR ( 39 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awburst_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awcache_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awid_UNCONNECTED : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awlen_UNCONNECTED : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awprot_UNCONNECTED : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awqos_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awsize_UNCONNECTED : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_awuser_UNCONNECTED : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_wdata_UNCONNECTED : STD_LOGIC_VECTOR ( 127 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_maxigp2_wstrb_UNCONNECTED : STD_LOGIC_VECTOR ( 15 downto 0 );
begin
  ADC_SDATA_1 <= ADC_SDATA;
  BASE_sc10_o <= SC0808BF_0_BASE_SC10_O;
  BASE_sc10_t <= SC0808BF_0_BASE_SC10_T;
  BASE_sc11 <= SC0808BF_0_BASE_SC11;
  BASE_sc14 <= SC0808BF_0_BASE_SC14;
  BASE_sc15 <= SC0808BF_0_BASE_SC15;
  BASE_sc6 <= SC0808BF_0_BASE_SC6;
  BASE_sc7 <= SC0808BF_0_BASE_SC7;
  BCLK_1 <= BCLK;
  DAC_SDATA <= axis_live_audio_0_DAC_SDATA;
  LED_HD(0) <= vio_LED_HD(0);
  LED_XMOD2(0) <= vio_LED_XMOD2(0);
  LRCLK_1 <= LRCLK;
  SC0808BF_0_BASE_SC10_I <= BASE_sc10_i;
  SC0808BF_0_BASE_SC12 <= BASE_sc12;
  SC0808BF_0_BASE_SC13 <= BASE_sc13;
  SC0808BF_0_BASE_SC5 <= BASE_sc5;
SC0808BF_0: component SK0803_zusys_SDSoC_SC0808BF_0_0
     port map (
      MASTER_RGPIO_ACTIVE => SC0808BF_0_MASTER_RGPIO_ACTIVE,
      MASTER_RGPIO_I(31 downto 0) => SC0808BF_0_MASTER_RGPIO_I(31 downto 0),
      MASTER_RGPIO_O(31 downto 0) => SC0808BF_0_MASTER_RGPIO_O(31 downto 0),
      PS_AUX_DI => SC0808BF_0_PS_AUX_DI,
      PS_AUX_DO => zynq_ultra_ps_e_0_dp_aux_data_out,
      PS_AUX_OE => zynq_ultra_ps_e_0_dp_aux_data_oe_n,
      PS_HPD => SC0808BF_0_PS_HPD,
      SC10_I => SC0808BF_0_BASE_SC10_I,
      SC10_O => SC0808BF_0_BASE_SC10_O,
      SC10_T => SC0808BF_0_BASE_SC10_T,
      SC11 => SC0808BF_0_BASE_SC11,
      SC12 => SC0808BF_0_BASE_SC12,
      SC13 => SC0808BF_0_BASE_SC13,
      SC14 => SC0808BF_0_BASE_SC14,
      SC15 => SC0808BF_0_BASE_SC15,
      SC5 => SC0808BF_0_BASE_SC5,
      SC6 => SC0808BF_0_BASE_SC6,
      SC7 => SC0808BF_0_BASE_SC7,
      SLAVE_RGPIO_ACTIVE => SC0808BF_0_SLAVE_RGPIO_ACTIVE,
      SLAVE_RGPIO_I(31 downto 0) => SC0808BF_0_SLAVE_RGPIO_I(31 downto 0),
      SLAVE_RGPIO_O(31 downto 0) => SC0808BF_0_SLAVE_RGPIO_O(31 downto 0),
      sys_clock => zynq_ultra_ps_e_0_pl_clk0,
      sys_resetn => proc_sys_reset_0_peripheral_aresetn(0)
    );
axis_live_audio_0: component SK0803_zusys_SDSoC_axis_live_audio_0_0
     port map (
      ADC_SDATA => ADC_SDATA_1,
      BCLK => BCLK_1,
      DAC_SDATA => axis_live_audio_0_DAC_SDATA,
      LRCLK => LRCLK_1,
      axis_aclk => zynq_ultra_ps_e_0_pl_clk2,
      axis_aresetn => proc_sys_reset_1_peripheral_aresetn(0),
      m_axis_tdata(31 downto 0) => axis_live_audio_0_m_axis_TDATA(31 downto 0),
      m_axis_tid => axis_live_audio_0_m_axis_TID,
      m_axis_tready => axis_live_audio_0_m_axis_TREADY,
      m_axis_tvalid => axis_live_audio_0_m_axis_TVALID,
      ref_clk_in => zynq_ultra_ps_e_0_dp_audio_ref_clk,
      s_axis_tdata(31 downto 0) => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TDATA(31 downto 0),
      s_axis_tid => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TID,
      s_axis_tready => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TREADY,
      s_axis_tvalid => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TVALID
    );
clk_wiz_0: component SK0803_zusys_SDSoC_clk_wiz_0_0
     port map (
      clk_in1 => zynq_ultra_ps_e_0_pl_clk2,
      clk_out1 => clk_wiz_0_clk_out1,
      locked => NLW_clk_wiz_0_locked_UNCONNECTED,
      reset => proc_sys_reset_1_bus_struct_reset(0)
    );
proc_sys_reset_0: component SK0803_zusys_SDSoC_proc_sys_reset_0_0
     port map (
      aux_reset_in => '1',
      bus_struct_reset(0) => NLW_proc_sys_reset_0_bus_struct_reset_UNCONNECTED(0),
      dcm_locked => '1',
      ext_reset_in => zynq_ultra_ps_e_0_pl_resetn0,
      interconnect_aresetn(0) => NLW_proc_sys_reset_0_interconnect_aresetn_UNCONNECTED(0),
      mb_debug_sys_rst => '0',
      mb_reset => NLW_proc_sys_reset_0_mb_reset_UNCONNECTED,
      peripheral_aresetn(0) => proc_sys_reset_0_peripheral_aresetn(0),
      peripheral_reset(0) => NLW_proc_sys_reset_0_peripheral_reset_UNCONNECTED(0),
      slowest_sync_clk => zynq_ultra_ps_e_0_pl_clk0
    );
proc_sys_reset_1: component SK0803_zusys_SDSoC_proc_sys_reset_1_0
     port map (
      aux_reset_in => '1',
      bus_struct_reset(0) => proc_sys_reset_1_bus_struct_reset(0),
      dcm_locked => '1',
      ext_reset_in => zynq_ultra_ps_e_0_pl_resetn0,
      interconnect_aresetn(0) => NLW_proc_sys_reset_1_interconnect_aresetn_UNCONNECTED(0),
      mb_debug_sys_rst => '0',
      mb_reset => NLW_proc_sys_reset_1_mb_reset_UNCONNECTED,
      peripheral_aresetn(0) => proc_sys_reset_1_peripheral_aresetn(0),
      peripheral_reset(0) => NLW_proc_sys_reset_1_peripheral_reset_UNCONNECTED(0),
      slowest_sync_clk => zynq_ultra_ps_e_0_pl_clk2
    );
proc_sys_reset_2: component SK0803_zusys_SDSoC_proc_sys_reset_2_0
     port map (
      aux_reset_in => '1',
      bus_struct_reset(0) => NLW_proc_sys_reset_2_bus_struct_reset_UNCONNECTED(0),
      dcm_locked => '1',
      ext_reset_in => zynq_ultra_ps_e_0_pl_resetn0,
      interconnect_aresetn(0) => NLW_proc_sys_reset_2_interconnect_aresetn_UNCONNECTED(0),
      mb_debug_sys_rst => '0',
      mb_reset => NLW_proc_sys_reset_2_mb_reset_UNCONNECTED,
      peripheral_aresetn(0) => NLW_proc_sys_reset_2_peripheral_aresetn_UNCONNECTED(0),
      peripheral_reset(0) => NLW_proc_sys_reset_2_peripheral_reset_UNCONNECTED(0),
      slowest_sync_clk => zynq_ultra_ps_e_0_pl_clk3
    );
proc_sys_reset_3: component SK0803_zusys_SDSoC_proc_sys_reset_3_0
     port map (
      aux_reset_in => '1',
      bus_struct_reset(0) => NLW_proc_sys_reset_3_bus_struct_reset_UNCONNECTED(0),
      dcm_locked => '1',
      ext_reset_in => zynq_ultra_ps_e_0_pl_resetn0,
      interconnect_aresetn(0) => NLW_proc_sys_reset_3_interconnect_aresetn_UNCONNECTED(0),
      mb_debug_sys_rst => '0',
      mb_reset => NLW_proc_sys_reset_3_mb_reset_UNCONNECTED,
      peripheral_aresetn(0) => NLW_proc_sys_reset_3_peripheral_aresetn_UNCONNECTED(0),
      peripheral_reset(0) => NLW_proc_sys_reset_3_peripheral_reset_UNCONNECTED(0),
      slowest_sync_clk => zynq_ultra_ps_e_0_pl_clk4
    );
vio_general: component SK0803_zusys_SDSoC_vio_general_0
     port map (
      clk => zynq_ultra_ps_e_0_pl_clk2,
      probe_out0(0) => vio_LED_XMOD2(0),
      probe_out1(0) => vio_LED_HD(0)
    );
vio_rgpio: component SK0803_zusys_SDSoC_vio_rgpio_0
     port map (
      clk => zynq_ultra_ps_e_0_pl_clk0,
      probe_in0(31 downto 0) => SC0808BF_0_MASTER_RGPIO_O(31 downto 0),
      probe_in1(31 downto 0) => SC0808BF_0_SLAVE_RGPIO_O(31 downto 0),
      probe_in2(0) => SC0808BF_0_MASTER_RGPIO_ACTIVE,
      probe_in3(0) => SC0808BF_0_SLAVE_RGPIO_ACTIVE,
      probe_out0(31 downto 0) => SC0808BF_0_MASTER_RGPIO_I(31 downto 0),
      probe_out1(31 downto 0) => SC0808BF_0_SLAVE_RGPIO_I(31 downto 0)
    );
xlconcat_0: component SK0803_zusys_SDSoC_xlconcat_0_0
     port map (
      In0(0) => xlconstant_0_dout(0),
      dout(0) => xlconcat_0_dout(0)
    );
xlconstant_0: component SK0803_zusys_SDSoC_xlconstant_0_0
     port map (
      dout(0) => xlconstant_0_dout(0)
    );
zynq_ultra_ps_e_0: component SK0803_zusys_SDSoC_zynq_ultra_ps_e_0_0
     port map (
      dp_audio_ref_clk => zynq_ultra_ps_e_0_dp_audio_ref_clk,
      dp_aux_data_in => SC0808BF_0_PS_AUX_DI,
      dp_aux_data_oe_n => zynq_ultra_ps_e_0_dp_aux_data_oe_n,
      dp_aux_data_out => zynq_ultra_ps_e_0_dp_aux_data_out,
      dp_external_custom_event1 => '0',
      dp_external_custom_event2 => '0',
      dp_external_vsync_event => '0',
      dp_hot_plug_detect => SC0808BF_0_PS_HPD,
      dp_live_gfx_alpha_in(7 downto 0) => B"00000000",
      dp_live_gfx_pixel1_in(35 downto 0) => B"000000000000000000000000000000000000",
      dp_live_video_de_out => NLW_zynq_ultra_ps_e_0_dp_live_video_de_out_UNCONNECTED,
      dp_live_video_in_de => '0',
      dp_live_video_in_hsync => '0',
      dp_live_video_in_pixel1(35 downto 0) => B"000000000000000000000000000000000000",
      dp_live_video_in_vsync => '0',
      dp_m_axis_mixed_audio_tdata(31 downto 0) => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TDATA(31 downto 0),
      dp_m_axis_mixed_audio_tid => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TID,
      dp_m_axis_mixed_audio_tready => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TREADY,
      dp_m_axis_mixed_audio_tvalid => zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO_TVALID,
      dp_s_axis_audio_clk => zynq_ultra_ps_e_0_dp_audio_ref_clk,
      dp_s_axis_audio_tdata(31 downto 0) => axis_live_audio_0_m_axis_TDATA(31 downto 0),
      dp_s_axis_audio_tid => axis_live_audio_0_m_axis_TID,
      dp_s_axis_audio_tready => axis_live_audio_0_m_axis_TREADY,
      dp_s_axis_audio_tvalid => axis_live_audio_0_m_axis_TVALID,
      dp_video_in_clk => clk_wiz_0_clk_out1,
      dp_video_out_hsync => NLW_zynq_ultra_ps_e_0_dp_video_out_hsync_UNCONNECTED,
      dp_video_out_pixel1(35 downto 0) => NLW_zynq_ultra_ps_e_0_dp_video_out_pixel1_UNCONNECTED(35 downto 0),
      dp_video_out_vsync => NLW_zynq_ultra_ps_e_0_dp_video_out_vsync_UNCONNECTED,
      dp_video_ref_clk => NLW_zynq_ultra_ps_e_0_dp_video_ref_clk_UNCONNECTED,
      maxigp2_araddr(39 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_araddr_UNCONNECTED(39 downto 0),
      maxigp2_arburst(1 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_arburst_UNCONNECTED(1 downto 0),
      maxigp2_arcache(3 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_arcache_UNCONNECTED(3 downto 0),
      maxigp2_arid(15 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_arid_UNCONNECTED(15 downto 0),
      maxigp2_arlen(7 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_arlen_UNCONNECTED(7 downto 0),
      maxigp2_arlock => NLW_zynq_ultra_ps_e_0_maxigp2_arlock_UNCONNECTED,
      maxigp2_arprot(2 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_arprot_UNCONNECTED(2 downto 0),
      maxigp2_arqos(3 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_arqos_UNCONNECTED(3 downto 0),
      maxigp2_arready => '0',
      maxigp2_arsize(2 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_arsize_UNCONNECTED(2 downto 0),
      maxigp2_aruser(15 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_aruser_UNCONNECTED(15 downto 0),
      maxigp2_arvalid => NLW_zynq_ultra_ps_e_0_maxigp2_arvalid_UNCONNECTED,
      maxigp2_awaddr(39 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awaddr_UNCONNECTED(39 downto 0),
      maxigp2_awburst(1 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awburst_UNCONNECTED(1 downto 0),
      maxigp2_awcache(3 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awcache_UNCONNECTED(3 downto 0),
      maxigp2_awid(15 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awid_UNCONNECTED(15 downto 0),
      maxigp2_awlen(7 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awlen_UNCONNECTED(7 downto 0),
      maxigp2_awlock => NLW_zynq_ultra_ps_e_0_maxigp2_awlock_UNCONNECTED,
      maxigp2_awprot(2 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awprot_UNCONNECTED(2 downto 0),
      maxigp2_awqos(3 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awqos_UNCONNECTED(3 downto 0),
      maxigp2_awready => '0',
      maxigp2_awsize(2 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awsize_UNCONNECTED(2 downto 0),
      maxigp2_awuser(15 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_awuser_UNCONNECTED(15 downto 0),
      maxigp2_awvalid => NLW_zynq_ultra_ps_e_0_maxigp2_awvalid_UNCONNECTED,
      maxigp2_bid(15 downto 0) => B"0000000000000000",
      maxigp2_bready => NLW_zynq_ultra_ps_e_0_maxigp2_bready_UNCONNECTED,
      maxigp2_bresp(1 downto 0) => B"00",
      maxigp2_bvalid => '0',
      maxigp2_rdata(127 downto 0) => B"00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
      maxigp2_rid(15 downto 0) => B"0000000000000000",
      maxigp2_rlast => '0',
      maxigp2_rready => NLW_zynq_ultra_ps_e_0_maxigp2_rready_UNCONNECTED,
      maxigp2_rresp(1 downto 0) => B"00",
      maxigp2_rvalid => '0',
      maxigp2_wdata(127 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_wdata_UNCONNECTED(127 downto 0),
      maxigp2_wlast => NLW_zynq_ultra_ps_e_0_maxigp2_wlast_UNCONNECTED,
      maxigp2_wready => '0',
      maxigp2_wstrb(15 downto 0) => NLW_zynq_ultra_ps_e_0_maxigp2_wstrb_UNCONNECTED(15 downto 0),
      maxigp2_wvalid => NLW_zynq_ultra_ps_e_0_maxigp2_wvalid_UNCONNECTED,
      maxihpm0_lpd_aclk => zynq_ultra_ps_e_0_pl_clk2,
      pl_clk0 => zynq_ultra_ps_e_0_pl_clk2,
      pl_clk1 => zynq_ultra_ps_e_0_pl_clk0,
      pl_clk2 => zynq_ultra_ps_e_0_pl_clk3,
      pl_clk3 => zynq_ultra_ps_e_0_pl_clk4,
      pl_ps_irq0(0) => xlconcat_0_dout(0),
      pl_resetn0 => zynq_ultra_ps_e_0_pl_resetn0
    );
end STRUCTURE;
