
//MODULE DECLARATION
module SK0803_zusys_SDSoC_zynq_ultra_ps_e_0_0(
      maxihpm0_lpd_aclk,
      maxigp2_awid,
      maxigp2_awaddr,
      maxigp2_awlen,
      maxigp2_awsize,
      maxigp2_awburst,
      maxigp2_awlock,
      maxigp2_awcache,
      maxigp2_awprot,
      maxigp2_awvalid,
      maxigp2_awuser,
      maxigp2_awready,
      maxigp2_wdata,
      maxigp2_wstrb,
      maxigp2_wlast,
      maxigp2_wvalid,
      maxigp2_wready,
      maxigp2_bid,
      maxigp2_bresp,
      maxigp2_bvalid,
      maxigp2_bready,
      maxigp2_arid,
      maxigp2_araddr,
      maxigp2_arlen,
      maxigp2_arsize,
      maxigp2_arburst,
      maxigp2_arlock,
      maxigp2_arcache,
      maxigp2_arprot,
      maxigp2_arvalid,
      maxigp2_aruser,
      maxigp2_arready,
      maxigp2_rid,
      maxigp2_rdata,
      maxigp2_rresp,
      maxigp2_rlast,
      maxigp2_rvalid,
      maxigp2_rready,
      maxigp2_awqos,
      maxigp2_arqos,
      dp_audio_ref_clk,
      dp_video_ref_clk,
      dp_s_axis_audio_tdata,
      dp_s_axis_audio_tid,
      dp_s_axis_audio_tvalid,
      dp_s_axis_audio_tready,
      dp_m_axis_mixed_audio_tdata,
      dp_m_axis_mixed_audio_tid,
      dp_m_axis_mixed_audio_tvalid,
      dp_m_axis_mixed_audio_tready,
      dp_s_axis_audio_clk,
      dp_live_video_in_vsync,
      dp_live_video_in_hsync,
      dp_live_video_in_de,
      dp_live_video_in_pixel1,
      dp_video_in_clk,
      dp_video_out_hsync,
      dp_video_out_vsync,
      dp_video_out_pixel1,
      dp_aux_data_in,
      dp_aux_data_out,
      dp_aux_data_oe_n,
      dp_live_gfx_alpha_in,
      dp_live_gfx_pixel1_in,
      dp_hot_plug_detect,
      dp_external_custom_event1,
      dp_external_custom_event2,
      dp_external_vsync_event,
      dp_live_video_de_out,
      pl_ps_irq0,
      pl_resetn0,
      pl_clk0,
      pl_clk1,
      pl_clk2,
      pl_clk3
);

//INPUT AND OUTPUT PORTS

    input maxihpm0_lpd_aclk;
    output [15:0] maxigp2_awid;
    output [39:0] maxigp2_awaddr;
    output [7:0] maxigp2_awlen;
    output [2:0] maxigp2_awsize;
    output [1:0] maxigp2_awburst;
    output maxigp2_awlock;
    output [3:0] maxigp2_awcache;
    output [2:0] maxigp2_awprot;
    output maxigp2_awvalid;
    output [15:0] maxigp2_awuser;
    input maxigp2_awready;
    output [127:0] maxigp2_wdata;
    output [15:0] maxigp2_wstrb;
    output maxigp2_wlast;
    output maxigp2_wvalid;
    input maxigp2_wready;
    input [15:0] maxigp2_bid;
    input [1:0] maxigp2_bresp;
    input maxigp2_bvalid;
    output maxigp2_bready;
    output [15:0] maxigp2_arid;
    output [39:0] maxigp2_araddr;
    output [7:0] maxigp2_arlen;
    output [2:0] maxigp2_arsize;
    output [1:0] maxigp2_arburst;
    output maxigp2_arlock;
    output [3:0] maxigp2_arcache;
    output [2:0] maxigp2_arprot;
    output maxigp2_arvalid;
    output [15:0] maxigp2_aruser;
    input maxigp2_arready;
    input [15:0] maxigp2_rid;
    input [127:0] maxigp2_rdata;
    input [1:0] maxigp2_rresp;
    input maxigp2_rlast;
    input maxigp2_rvalid;
    output maxigp2_rready;
    output [3:0] maxigp2_awqos;
    output [3:0] maxigp2_arqos;
    output dp_audio_ref_clk;
    output dp_video_ref_clk;
    input [31:0] dp_s_axis_audio_tdata;
    input dp_s_axis_audio_tid;
    input dp_s_axis_audio_tvalid;
    output dp_s_axis_audio_tready;
    output [31:0] dp_m_axis_mixed_audio_tdata;
    output dp_m_axis_mixed_audio_tid;
    output dp_m_axis_mixed_audio_tvalid;
    input dp_m_axis_mixed_audio_tready;
    input dp_s_axis_audio_clk;
    input dp_live_video_in_vsync;
    input dp_live_video_in_hsync;
    input dp_live_video_in_de;
    input [35:0] dp_live_video_in_pixel1;
    input dp_video_in_clk;
    output dp_video_out_hsync;
    output dp_video_out_vsync;
    output [35:0] dp_video_out_pixel1;
    input dp_aux_data_in;
    output dp_aux_data_out;
    output dp_aux_data_oe_n;
    input [7:0] dp_live_gfx_alpha_in;
    input [35:0] dp_live_gfx_pixel1_in;
    input dp_hot_plug_detect;
    input dp_external_custom_event1;
    input dp_external_custom_event2;
    input dp_external_vsync_event;
    output dp_live_video_de_out;
    input [0:0] pl_ps_irq0;
    output pl_resetn0;
    output pl_clk0;
    output pl_clk1;
    output pl_clk2;
    output pl_clk3;

//REG DECLARATIONS

    reg  [15:0] maxigp2_awid;
    reg  [39:0] maxigp2_awaddr;
    reg  [7:0] maxigp2_awlen;
    reg  [2:0] maxigp2_awsize;
    reg  [1:0] maxigp2_awburst;
    reg  maxigp2_awlock;
    reg  [3:0] maxigp2_awcache;
    reg  [2:0] maxigp2_awprot;
    reg  maxigp2_awvalid;
    reg  [15:0] maxigp2_awuser;
    reg  [127:0] maxigp2_wdata;
    reg  [15:0] maxigp2_wstrb;
    reg  maxigp2_wlast;
    reg  maxigp2_wvalid;
    reg  maxigp2_bready;
    reg  [15:0] maxigp2_arid;
    reg  [39:0] maxigp2_araddr;
    reg  [7:0] maxigp2_arlen;
    reg  [2:0] maxigp2_arsize;
    reg  [1:0] maxigp2_arburst;
    reg  maxigp2_arlock;
    reg  [3:0] maxigp2_arcache;
    reg  [2:0] maxigp2_arprot;
    reg  maxigp2_arvalid;
    reg  [15:0] maxigp2_aruser;
    reg  maxigp2_rready;
    reg  [3:0] maxigp2_awqos;
    reg  [3:0] maxigp2_arqos;
    reg  dp_audio_ref_clk;
    reg  dp_video_ref_clk;
    reg  dp_s_axis_audio_tready;
    reg  [31:0] dp_m_axis_mixed_audio_tdata;
    reg  dp_m_axis_mixed_audio_tid;
    reg  dp_m_axis_mixed_audio_tvalid;
    reg  dp_video_out_hsync;
    reg  dp_video_out_vsync;
    reg  [35:0] dp_video_out_pixel1;
    reg  dp_aux_data_out;
    reg  dp_aux_data_oe_n;
    reg  dp_live_video_de_out;
    reg  pl_resetn0;
    reg  pl_clk0;
    reg  pl_clk1;
    reg  pl_clk2;
    reg  pl_clk3;

initial
 begin


   $display("WARNING: Zynq UltraScale IP doesn't support simulation");
     end
endmodule
